package com.ruoyi.project.project.cases.service;

import com.ruoyi.common.utils.security.ShiroUtils;
import com.ruoyi.common.utils.text.Convert;
import com.ruoyi.project.project.cases.domain.Case;
import com.ruoyi.project.project.cases.mapper.CaseMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 案件 服务层实现
 * 
 * @author ruoyi
 * @date 2018-06-25
 */
@Service
public class CaseServiceImpl implements ICaseService
{
    @Autowired
    private CaseMapper caseMapper;

    /**
     * 查询案件信息
     * 
     * @param id 案件ID
     * @return 案件信息
     */
    @Override
    public Case selectCaseById(Integer id)
    {
        return caseMapper.selectCaseById(id);
    }

    /**
     * 查询案件列表
     * 
     * @param cases 案件信息
     * @return 案件集合
     */
    @Override
    public List<Case> selectCaseList(Case cases)
    {
        return caseMapper.selectCaseList(cases);
    }

    /**
     * 新增案件
     * 
     * @param cases 案件信息
     * @return 结果
     */
    @Override
    public int insertCase(Case cases)
    {
        //cases.setCreateBy(ShiroUtils.getLoginName());
        return caseMapper.insertCase(cases);
    }

    /**
     * 修改案件
     * 
     * @param cases 案件信息
     * @return 结果
     */
    @Override
    public int updateCase(Case cases)
    {
        //cases.setUpdateBy(ShiroUtils.getLoginName());
        return caseMapper.updateCase(cases);
    }

    /**
     * 删除案件对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteCaseByIds(String ids)
    {
        return caseMapper.deleteCaseByIds(Convert.toIntArray(ids));
    }

    @Override
    public int selectCaseByCaseNo(String caseNo) {
        return caseMapper.selectCaseByCaseNo(caseNo);
    }
}
